<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="NF_INTEGER" select="'###,##0'"/>
<xsl:variable name="NF_PERCENTAGE" select="'##0%'"/>
<xsl:variable name="SPACE" select="'&#160;'"/>

<xsl:param name="APP_NAME">app-name goes here</xsl:param>
<xsl:param name="APP_URL">app-url goes here</xsl:param>
<xsl:param name="PRIMARY_COLOR">primary-color goes here</xsl:param>
<xsl:param name="IMAGES">none</xsl:param>

<xsl:template match="/releases">
	<html>
	<head>
		<title>Updates available for <xsl:value-of select="$APP_NAME"/></title>
	</head>
	<body>
		<xsl:choose>
			<xsl:when test="release/@build">
				<p>There <b>are</b> updates for <b><xsl:value-of select="$APP_NAME"/></b> you have not seen yet.</p>
				<p>Latest releases can be <a href="{products/@download-area}">downloaded</a> from our server.</p>
				<p>You have build <xsl:value-of select="@since"/> and the latest is build <xsl:value-of select="release/@build"/>.
				   Here is a summary of what changed since:
					<ul>
						<xsl:for-each select="release">
					
							<li>Build <xsl:value-of select="@build"/> released <xsl:value-of select="@date"/>
								<ul>
									<xsl:for-each select="changes">
										<xsl:for-each select="change">
											<li><xsl:value-of select="." disable-output-escaping="yes" /></li>
										</xsl:for-each>										
									</xsl:for-each>										
								</ul>
							</li>
							
						</xsl:for-each>
							
					</ul>
				</p>
			</xsl:when>	
			<xsl:otherwise>
				<p>There are <b>no</b> updates for <b><xsl:value-of select="$APP_NAME"/></b> available.</p>
			</xsl:otherwise>	
		</xsl:choose>
	</body>
	</html>
</xsl:template>


</xsl:stylesheet>